## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanArrayAutoPtr Template Class Reference

`#include <XalanAutoPtr.hpp>`

List of all members.

## Public Methods

- XalanArrayAutoPtr (Type* thePointer = 0)
- XalanArrayAutoPtr (const XalanArrayAutoPtr<Type>& theSource)
- XalanArrayAutoPtr<Type>& operator= (XalanArrayAutoPtr<Type>& theRHS)
- ~XalanArrayAutoPtr ()
- Type& operator * () const
- Type& operator[] (size_t index) const
- Type* get () const
- Type* release ()
- void reset (Type* thePointer = 0)

## Constructor & Destructor Documentation

template<classType>
XalanArrayAutoPtr<Type>::XalanArrayAutoPtr<Type> ( | Type * thePointer = 0 )

template<classType>
XalanArrayAutoPtr<Type>::XalanArrayAutoPtr<Type> ( | const XalanArrayAutoPtr< Type >& theSource )

template<classType>
XalanArrayAutoPtr<Type>::~XalanArrayAutoPtr<Type> ( | )`[]`

## Member Function Documentation

template<classType>
Type * XalanArrayAutoPtr<Type>::get ( | ) const`[]`

template<classType>
Type & XalanArrayAutoPtr<Type>::operator * ( | ) const`[]`

template<classType>
XalanArrayAutoPtr< Type >& XalanArrayAutoPtr<Type>::operator=<Type> ( | XalanArrayAutoPtr< Type >& theRHS )`[]`

template<classType>
Type & XalanArrayAutoPtr<Type>::operator[] ( | size_t index ) const`[]`

template<classType>
Type * XalanArrayAutoPtr<Type>::release ( | )`[]`

template<classType>
void XalanArrayAutoPtr<Type>::reset ( | Type * thePointer = 0 )`[]`

The documentation for this class was generated from the following file:

- XalanAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.